#!/bin/sh
#
# $FreeBSD: ports/misc/upclient/files/upclient.sh.in,v 1.2 2009/07/15 16:55:50 dougb Exp $
#
# PROVIDE: upclient
# REQUIRE: DAEMON
#
# Add the following lines to /etc/rc.conf to enable upclient:
#
# upclient_enable="YES"
# upclient_flags="<set as needed>"

upclient_precmd ()
{
	ws=" 	"
	grep -qs "^[$ws]*AuthKey[$ws]*=" ${configfile} ||
	err 1 "AuthKey is missing from ${configfile}."
	grep -qs "^[$ws]*AuthKey[$ws]*=[$ws]*your_authkey" ${configfile} &&
	err 1 "AuthKey isn't configured in ${configfile}."

	hn=uptimes.wonko.com
	egrep -qs "^[$ws]*UptimeServer[$ws]*=[$ws]*${hn}[$ws]*" ${configfile} &&
	err 1 "${configfile} needs to be updated from ${samplefile}."

	kw="IdleTime|OS|(OS|CPU)Level"
	egrep -qs "^[$ws]*Send($kw)[$ws]*=" ${configfile} &&
	err 1 "${configfile} needs to be updated from ${samplefile}."

	:
}

upclient_enable="${upclient_enable-NO}"

. /etc/rc.subr

name=upclient
rcvar=$(set_rcvar)

# private
configfile=/usr/local/etc/${name}.conf
samplefile=${configfile}.sample

# public
command=/usr/local/sbin/${name}
pidfile=/var/run/${name}.pid
required_files=${configfile}
start_precmd=${name}_precmd

load_rc_config ${name}
run_rc_command "$1"
